REST APIIdentityIdentity Verification (IDV)

POST

Switch verification flow for an existing IDV

Switches an existing IDV record from one verification flow to another (e.g. penny-drop to video-id). Only allowed when the current review is pending or action_required (null or RED+RETRY). Returns a fresh WebSDK link for the new level.

Path Params

  • idvId string required
    The IDV record ID

Body Params

object

  • verificationType string enum required
    The verification flow to switch to.
    penny-dropvideo-idliveness-only
  • includeSdkToken boolean
    When true, generates and returns a Sumsub Mobile SDK access token alongside the WebSDK URL. Not supported for penny-drop verification — returns 400 if combined with verificationType 'penny-drop' (MobileSDK does not support the penny-drop flow).

Responses

200
200

Response Body

object

  • url string required
  • expiresAt string required
  • sdkToken string
400
400

Response Body

object

  • error string required
    Error message
403
403

Response Body

object

  • error string required
    Error message
404
404

Response Body

object

  • error string required
    Error message
409
409

Response Body

object

  • error string required
    Error message
500
500

Response Body

object

  • error string required
    Error message